package com.bjtdba.merchant.dto;

public class CorpMemberDto {
    /**
     * String(64)
     * 控制台 主页面应用的app_id
     */
    private String app_id;

    /**
     * String(64)
     * 请求订单号，只能为英文、数字或者下划线的一种或多种组合，保证在app_id下唯一
     */
    private String order_no;

    /**
     * String(64)
     * 商户下的用户id，只能为英文、数字或者下划线的一种或多种组合，保证在app_id下唯一
     */
    private String member_id;
    /**
     * 企业名称
     * String(50)
     */
    private String name;
    /**
     * String(4)
     * 省份编码 （省市编码）
     */
    private String prov_code;

    /**
     *地区编码 （省市编码）
     * String(4)
     */
    private String area_code;
    /**
     * 统一社会信用码
     * String(18)
     */
    private String social_credit_code;
    /**
     * 统一社会信用证有效期
     * String(8)
     */
    private String social_credit_code_expires;
    /**
     * 经营范围
     * String(200)
     */
    private String business_scope;
    /**
     * 法人姓名
     * String(20)
     */
    private String legal_person;
    /**
     * 法人身份证号码
     * String(20)
      */
    private String legal_cert_id;
    /**
     * 法人身份证有效期
     * String(8)
      */
    private String legal_cert_id_expires;
    /**
     * 法人手机号
     * String(11)
      */
    private String legal_mp;
    /**
     * 企业地址
     * String(256)
     */
    private String address;
    /**
     * 邮编
     * String(6)
     */
    private String zip_code;
    /**
     * 企业电话
     * String(30)
     */
    private String telphone;
    /**
     * 企业邮箱
     * String(40)
     */
    private String email;
    /**
     *     上传附件，传入的中文文件名称为 UTF-8 字符集 URLEncode 编码后的字符串。内容须包含三证合一证件照、法人身份证正面照、法人身份证反面照、开户银行许可证照。 压缩 zip包后上传，最大限制为 9 M。
     */
    //private File attach_file;
    /**
     * 银行代码，如果需要自动开结算账户，本字段必填（详见附录 银行代码）
     * String(8)
     */
    private String bank_code;
    /**
     * 银行账户类型：1-对公；2-对私，如果需要自动开结算账户，本字段必填
     * String(1)
     */
    private String bank_acct_type;

    /**
     * 银行卡号，如果需要自动开结算账户，本字段必填
      */
    private String card_no;
    /**
     * 银行卡对应的户名，如果需要自动开结算账户，本字段必填；若银行账户类型是对公，必须与企业名称一致
     */
    private String card_name;

    public String getApp_id() {
        return app_id;
    }

    public void setApp_id(String app_id) {
        this.app_id = app_id;
    }

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public String getMember_id() {
        return member_id;
    }

    public void setMember_id(String member_id) {
        this.member_id = member_id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProv_code() {
        return prov_code;
    }

    public void setProv_code(String prov_code) {
        this.prov_code = prov_code;
    }

    public String getArea_code() {
        return area_code;
    }

    public void setArea_code(String area_code) {
        this.area_code = area_code;
    }

    public String getSocial_credit_code() {
        return social_credit_code;
    }

    public void setSocial_credit_code(String social_credit_code) {
        this.social_credit_code = social_credit_code;
    }

    public String getSocial_credit_code_expires() {
        return social_credit_code_expires;
    }

    public void setSocial_credit_code_expires(String social_credit_code_expires) {
        this.social_credit_code_expires = social_credit_code_expires;
    }

    public String getBusiness_scope() {
        return business_scope;
    }

    public void setBusiness_scope(String business_scope) {
        this.business_scope = business_scope;
    }

    public String getLegal_person() {
        return legal_person;
    }

    public void setLegal_person(String legal_person) {
        this.legal_person = legal_person;
    }

    public String getLegal_cert_id() {
        return legal_cert_id;
    }

    public void setLegal_cert_id(String legal_cert_id) {
        this.legal_cert_id = legal_cert_id;
    }

    public String getLegal_cert_id_expires() {
        return legal_cert_id_expires;
    }

    public void setLegal_cert_id_expires(String legal_cert_id_expires) {
        this.legal_cert_id_expires = legal_cert_id_expires;
    }

    public String getLegal_mp() {
        return legal_mp;
    }

    public void setLegal_mp(String legal_mp) {
        this.legal_mp = legal_mp;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getZip_code() {
        return zip_code;
    }

    public void setZip_code(String zip_code) {
        this.zip_code = zip_code;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getBank_code() {
        return bank_code;
    }

    public void setBank_code(String bank_code) {
        this.bank_code = bank_code;
    }

    public String getBank_acct_type() {
        return bank_acct_type;
    }

    public void setBank_acct_type(String bank_acct_type) {
        this.bank_acct_type = bank_acct_type;
    }

    public String getCard_no() {
        return card_no;
    }

    public void setCard_no(String card_no) {
        this.card_no = card_no;
    }

    public String getCard_name() {
        return card_name;
    }

    public void setCard_name(String card_name) {
        this.card_name = card_name;
    }
}
